Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	Pyrex - language for writing Python extension modules.
Name:      	Pyrex
Version:   	0.9.5.1a
Release:   	1
Provides:	pyrex
License: 	GNU/GPL
URL:		http://www.cosc.canterbury.ac.nz/~greg/python/Pyrex/
Group:     	Development/Python
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel

%description
Pyrex lets you write code that mixes Python and C data types any way you want, and compiles it into a C extension for Python. 

%prep
%setup -n %{name}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_datadir/emacs/site-lisp
cp Tools/pyrex-mode.el $RPM_BUILD_ROOT%_datadir/emacs/site-lisp

%files
%defattr(-,root,root)
%_bindir
%_libdir
%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Aug 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.5.1a-1
- Version update
* Wed Sep 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.4.1-1
- Version update
- built against python 2.5
* Sat Dec 10 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.9.3-1
- Initial Release
